/*----------------------------------------------------------------------------
    Style de bases pour le footer
----------------------------------------------------------------------------*/
footer {
  background-color: $color-bg-footer;
  color: $color-text-normal;

  margin: 0;

  .medias {
    position: relative;

    display: inline-block;

    -webkit-transition: all 0.25s ease-in-out;
    transition: all 0.25s ease-in-out;
  }

  .medias:hover,
  .medias.hover {
    text-shadow: 3px 5px 5px rgba(100, 83, 22, 0.9);
  }
}

.flex-medias {
  display: flex;
  justify-content: center;

  padding-top: 30px;

  a {
    padding-left: 30px;
  }

  .fab {
    color: $color-text-normal;

    font-size: $fz-logo-mobile;
  }
}

.flex-footer {
  display: flex;
  justify-content: space-between;

  padding-bottom: 15px;

  align-items: center;

  .logo-moviedb {
    width: 20%;

    margin-left: 20px;
  }

  .fleche-haut {
    padding-right: 25px;

    transition: all .2s ease-in-out;
  }

  .fleche-haut:hover {
    transform: scale(1.1);
  }
}


/*----------------------------------------------------------------------------
    Médias queries
----------------------------------------------------------------------------*/

@media screen and(min-width: $vw-medium) {
  footer {
    .fab {
      color: $color-text-normal;

      font-size: $fz-h3;
    }
  }

  .flex-footer {
    .logo-moviedb {
      width: 10%;
    }

    .fleche-haut {
      padding-left: 45px;
    }
  }
}

@media screen and(min-width: $vw-huge) {
  footer {
    .fab {
      color: $color-text-normal;

      font-size: $fz-h3-v2;
    }
  }

  .flex-footer {
    .logo-moviedb {
      width: 10%;
    }

    .fleche-haut {
      padding-left: 65px;

      font-size: $fz-h4;
    }
  }
}